[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ImgList' (#lcl)

# TCustomImageList.OnChange

Event handler signalled when the image list is changed.

## Declaration

Source position: imglist.pp line 412

`public property TCustomImageList.OnChange : TNotifyEvent read FOnChange write FOnChange;`

## Description

OnChange is a TNotifyEvent property that implements an event handler signalled when the image list is changed. Applications must assign an object procedure which performs actions required for the event notification.

OnChange is signalled from the Change method when a procedure has been assigned to the event handler.

## See also

TCustomImageList.Change |  | Sends change notifications when the image list is updated.